### Constructor

# ICalGLib Recurrence new_from_string

since: 1.0

#### Declaration [src]

    ICalRecurrence*
    i_cal_recurrence_new_from_string (
      const gchar* str
    )

#### Description [src]

Converts a string to a `ICalRecurrence`.

Available since: 1.0

#### Parameters

`str`

  Type: `const gchar*`

  The string representation of the `ICalRecurrence`.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `const ICalRecurrence`

The `ICalRecurrence` converted from `str`.

The caller of the function takes ownership of the data, and is responsible for freeing it.